| LIRC libraries LinuxInfraredRemoteControl

Data Fields
_dictionary_ Struct Reference
Ciniparser

Dictionary object. More...

`#include <dictionary.h>`

## Data Fields
int | n
int | size
char ** | val
char ** | key
unsigned * | hash

## Detailed Description

Dictionary object.

Parameters

  n | Number of entries in the dictionary
  size | Storage size
  val | List of string values
  key | List of string keys
  hash | List of hash values for keys

This object contains a list of string/string associations. Each association is identified by a unique string key. Looking up values in the dictionary is speeded up by the use of a (hopefully collision-free) hash function.

Definition at line 67 of file dictionary.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/dictionary.h (9c596ec 2015-02-10 14:16:32 +0100)